import { world, system, EquipmentSlot } from "@minecraft/server";
import { TicksPerSecond } from "@minecraft/server";
system.runInterval(
    () => {
        world.getAllPlayers().filter(
            (player) => {
                const equipmentInventory = player.getComponent("equippable");
                if (
                    equipmentInventory.getEquipment(EquipmentSlot.Feet)?.typeId == "trialchamberplus:cobalt_boots"
                    && equipmentInventory.getEquipment(EquipmentSlot.Head)?.typeId == "trialchamberplus:cobalt_helmet"
                    && equipmentInventory.getEquipment(EquipmentSlot.Chest)?.typeId == "trialchamberplus:cobalt_chestplate"
                    && equipmentInventory.getEquipment(EquipmentSlot.Legs)?.typeId == "trialchamberplus:cobalt_leggings"
                    && player.isSprinting
                ) {
                    player.runCommand("/particle trialchamberplus:cobalt_armor_set_aura ~ ~ ~");
                    player.addEffect("resistance", 10, { amplifier: 0, showParticles: false });
                }
            }
        )
    }
);