import { world, system, EquipmentSlot } from "@minecraft/server";
import { TicksPerSecond } from "@minecraft/server";
system.runInterval(
    () => {
        world.getAllPlayers().filter(
            (player) => {
                const equipmentInventory = player.getComponent("equippable");
                if (
                    equipmentInventory.getEquipment(EquipmentSlot.Head)?.typeId == "trialchamberplus:enchanted_spawner_helmet"
                ) {
                    player.runCommand("/particle trialchamberplus:enchanted_spawner_helmet_particle ~ ~ ~");
                }
            }
        )
    },
    10);

system.runInterval(
    () => {
        world.getAllPlayers().filter(
            (player) => {
                const equipmentInventory = player.getComponent("equippable");
                if (
                    equipmentInventory.getEquipment(EquipmentSlot.Head)?.typeId == "trialchamberplus:enchanted_spawner_helmet"
                ) {
                    player.runCommand("/particle trialchamberplus:enchanted_spawner_helmet_ability_particle ~ ~ ~");
                    player.runCommand("/summon trialchamberplus:ghostling ~ ~ ~");
                    player.runCommand("/playsound random.spawner_helmet.ability @a ~ ~ ~ 1 0.8");
                    player.runCommand("/effect @a[r=5] strength 10 0");
                }
            }
        )
    },
    1000);