import { world, ItemStack } from '@minecraft/server'

world.afterEvents.itemUse.subscribe((data) => {
    const player = data.source
    const selectedItem = player.getComponent('equippable').getEquipment('Mainhand')
    if (selectedItem?.typeId === 'trialchamberplus:golden_sun_book' && !player.getItemCooldown('usable_item_cooldown')) {
        player.startItemCooldown('usable_item_cooldown', 1200);
        player.runCommand("function golden_sun_book_use");
    }
    if (selectedItem?.typeId === 'trialchamberplus:titanium_shield_book' && !player.getItemCooldown('usable_item_cooldown')) {
        player.startItemCooldown('usable_item_cooldown', 1200);
        player.runCommand("function titanium_shield_book_use");
    }
})