import { world, ItemStack } from '@minecraft/server'

world.afterEvents.itemUse.subscribe((data) => {
    const player = data.source
    const selectedItem = player.getComponent('equippable').getEquipment('Mainhand')
    if (selectedItem?.typeId === 'trialchamberplus:fire_nova_scroll' && !player.getItemCooldown('scroll_item_cooldown')) {
        player.startItemCooldown('scroll_item_cooldown', 40);
        player.runCommand("function fire_nova_scroll_use");
    };
    if (selectedItem?.typeId === 'trialchamberplus:wind_charge_scroll' && !player.getItemCooldown('scroll_item_cooldown')) {
        player.startItemCooldown('scroll_item_cooldown', 160);
        player.runCommand("function wind_charge_scroll_use");
        player.applyKnockback(player.getViewDirection().x, player.getViewDirection().z, 5, 2,)
    }
})