import { system, world } from "@minecraft/server";

world.afterEvents.itemCompleteUse.subscribe(eventData => {

    const player = eventData.source; const itemUsed = eventData.itemStack;

    if (itemUsed.typeId === "trialchamberplus:gear_cookie") {
        player.addEffect("speed", 400, { amplifier: 0, showParticle: false })
        player.playSound("random.gear_cookie.eat", {
            volume: 1.0,
            pitch: 1.2
        })
        player.runCommand("/particle trialchamberplus:gear_cookie_eat ~ ~ ~")
    }
})